import turtle
import math

def turnleft():
	player.left(5)				# 왼쪽으로 5도 회전
	
def turnright():
	player.right(5)				# 오른쪽으로 5도 회전

def fire():
        x = player.xcor()
        y = player.ycor()
        velocity = 80			# 초기속도 80픽셀/sec
        angle = player.heading()		# 초기각도 
        vx = velocity * math.cos(angle * 3.14 / 180.0)	# 도 -> 라디안
        vy = velocity * math.sin(angle * 3.14 / 180.0)	# 도 -> 라디안
        while player.ycor() >= 0 :			# y좌표가 음수가 될때까지
                vx = vx
                vy = vy - 10
                x = x + vx
                y = y + vy
                player.goto(x, y)
	
player = turtle.Pen()
player.shape("turtle")
screen = player.getscreen()

screen.onkeypress(turnleft, "Left")
screen.onkeypress(turnright, "Right")
screen.onkeypress(fire, "space")

player.goto(+300, 0)
player.goto(-300, 0)
player.goto(-300, 300)
player.goto(-300, 0)
screen.listen()
