def calculate(row, weights, bias):
	activation = 0
	for i in range(len(row)-1):
		activation += weights[i] * row[i]
	activation = activation - bias
	if activation >= 0.0: return 1.0
	else: return 0.0

# 테스트 패턴
dataset = [[0.0, 0.0, 0],[0.0, 1.0, 1],
           [1.0, 0.0, 1],[1.0, 1.0, 1]]
bias = 0.5
weights = [1.0, 1.0]

for row in dataset:
	prediction = calculate(row, weights, bias)
	print("예상값=", row[-1],"실제출력=", prediction)
